Loading...
Searching...
No Matches
lirc-utils.c File Reference

Utilities. More...

`#include <grp.h>`
`#include <pwd.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/types.h>`
`#include <unistd.h>`
`#include "lirc/lirc_log.h"`
`#include "lirc-utils.h"`

Go to the source code of this file.

## Functions

const char * | drop_sudo_root (int(*set_some_uid)(uid_t))
| Try to drop possible root privileges, returning new user or "" on error.
void | drop_root_cli (int(*set_some_uid)(uid_t))
| Default view part of drop_sudo_root.

## Detailed Description

Utilities.

Author
  Alec Leamas

Definition in file lirc-utils.c.